Subject: Re: bug#11759: 24.1.50; word-wrap should wrap on non-words if the current word is too long

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Jun 2012 11:15:26 -0400

>> - if the word is the first non-blank char on the line, wrapping to the
>> next line results in a visually empty line, losing the
>> indentation info.
>> - if the word is wider than the window (plus the wrap-prefix), then even
>> after word-wrapping it to the next line, it gets char-wrapped anyway,
>> so we didn't win anything.

> FWIW, word wrap behaves the same way in other editors (checked with
> gedit and with a text box in Firefox).

But Emacs should behave better.
Another case I find annoying is when I have a long space at the end of
a line, where it causes the last word on that line to be wrapped to the
next line: wrapping is unavoidable, but I'd rather it be done after
the last word than before.

        Stefan